ipe::PdfToken Struct Reference

`#include <ipepdfparser.h>`

## Public Types

enum | TToken { EErr, EOp, EName, ENumber, EString, EStringBinary, ETrue, EFalse, ENull, EArrayBg, EArrayEnd, EDictBg, EDictEnd }

## Public Attributes

TToken | iType
String | iString

## Detailed Description

A PDF lexical token.

## Member Enumeration Documentation

enum ipe::PdfToken::TToken

The various types of tokens.

Enumerator
EErr |
EOp |
EName |
ENumber |
EString |
EStringBinary |
ETrue |
EFalse |
ENull |
EArrayBg |
EArrayEnd |
EDictBg |
EDictEnd |

## Member Data Documentation

TToken ipe::PdfToken::iType

The type of this token.

Referenced by ipe::CairoPainter::doDrawText(), ipe::PdfParser::getObject(), ipe::PdfFile::parse(), and ipe::PdfFile::parseObjectStream().

String ipe::PdfToken::iString

The string representing this token.

Referenced by ipe::CairoPainter::doDrawText(), ipe::PdfParser::getObject(), ipe::PdfParser::getToken(), ipe::PdfFile::parse(), and ipe::PdfFile::parseObjectStream().

The documentation for this struct was generated from the following file:

- ipepdfparser.h